### Struct

# PangoScriptIter

#### Description [src]

    struct PangoScriptIter {
      /* No available fields */
    }

A `PangoScriptIter` is used to iterate through a string and identify ranges in different scripts.

#### Constructors

###### pango_script_iter_new

Create a new `PangoScriptIter`, used to break a string of Unicode text into runs by Unicode script.

since: 1.4

#### Instance methods

###### pango_script_iter_free

Frees a `PangoScriptIter`.

since: 1.4

###### pango_script_iter_get_range

Gets information about the range to which `iter` currently points.

since: 1.4

###### pango_script_iter_next

Advances a `PangoScriptIter` to the next range.

since: 1.4